/* Header file for NRC Library */
#define NRC 1

/* Type Definitions      */
/* for complex functions */
typedef struct FCOMPLEX {float r,i;} fcomplex;


/* Function Definitions  */
void moment(float data[],unsigned long n,float *ave,float *adev,
	    float *sdev,float *var,float *skew,float *curt);
void spline(float x[], float y[], unsigned long n,
	    float yp1, float ypn, float y2[]);
void splint(float xa[], float ya[] ,float y2a[] ,
	    unsigned long n, float x, float *y);
void four1(float data[], unsigned long nn, int isign);


/* complex functions */
fcomplex Cadd(fcomplex a, fcomplex b);
fcomplex Csub(fcomplex a, fcomplex b);
fcomplex Cmul(fcomplex a, fcomplex b);
/* fcomplex Complex(float re, float im); */
fcomplex Conjg(fcomplex z);
fcomplex Cdiv(fcomplex a, fcomplex b);
float    Cabs(fcomplex z);
fcomplex Csqrt(fcomplex z);
fcomplex RCmul(float x, fcomplex a);
